/* Le damos estilos a las cajas*/
.caja {
    width: 100px;
    height: 100px;
    border: 1px solid black;
    /* Hacemos que sea flex para colocar los textos*/
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
}

/* Cambiamos el color de fondo a la caja roja*/
.roja {
    background-color: darkred;
}

/*
Cambiamos el color de fondo a la caja azul
Situamos la caja donde queremos con position
Hacemos que la animación dure 5 segundos
*/
.azul {
    background-color: blue;
    position: absolute;
    left: 110px;
    transition: all 5s;
}

/*
Cuando hagamos hover en la caja roja, le aplicamos los cambios a la caja azul
*/
.roja:hover+.azul {
    /* Girar una vuelta*/
    transform: rotate(360deg);
    /* Hacemos que se traslade hasta la derecha del todo de la pestaña*/
    left: calc(100% - 110px);
    /* Le cambiamos el color de fondo*/
    background-color: gold;
}